Debian Bug report logs - #696833
ITP: i18nspector -- checking tool for gettext POT, PO and MO files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stuart Prescott <stuart@debian.org>

Date: Thu, 27 Dec 2012 23:48:01 UTC

Owned by: Stuart Prescott <stuart@debian.org>

Severity: wishlist

Fixed in version i18nspector/0.6-1

Done: Stuart Prescott <stuart@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, stuart@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#696833; Package wnpp. (Thu, 27 Dec 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
New Bug report received and forwarded. Copy sent to stuart@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 27 Dec 2012 23:48:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: i18nspector -- checking tool for gettext POT, PO and MO files
Date: Thu, 27 Dec 2012 23:45:34 +0000
Package: wnpp
Severity: wishlist
Owner: Stuart Prescott <stuart@debian.org>

* Package name    : i18nspector
  Version         : 0.6
  Upstream Author : Jakub Wilk <jwilk@jwilk.net>
* URL             : http://jwilk.net/software/i18nspector
* License         : Expat
  Programming Lang: python
  Description     : checking tool for gettext POT, PO and MO files

i18nspector is a tool for checking translation templates (POT), message
catalogues (PO) and compiled message catalogues (MO) files for common problems.
These files are used by the GNU gettext translation functions and tools in many
different development environments.

Checks include: incorrect or inconsistent character encoding, missing headers,
incorrect language codes and improper plural forms.

This tool was formerly known as gettext-inspector.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart@debian.org>:
Bug#696833; Package wnpp. (Thu, 27 Dec 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart@debian.org>. (Thu, 27 Dec 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 696833@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Stuart Prescott <stuart@debian.org>, 696833@bugs.debian.org
Subject: Re: Bug#696833: ITP: i18nspector -- checking tool for gettext POT, PO and MO files
Date: Fri, 28 Dec 2012 07:50:12 +0800
On Fri, Dec 28, 2012 at 7:45 AM, Stuart Prescott <stuart@debian.org> wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Stuart Prescott <stuart@debian.org>
>
> * Package name    : i18nspector
>   Version         : 0.6
>   Upstream Author : Jakub Wilk <jwilk@jwilk.net>
> * URL             : http://jwilk.net/software/i18nspector
> * License         : Expat
>   Programming Lang: python
>   Description     : checking tool for gettext POT, PO and MO files
>
> i18nspector is a tool for checking translation templates (POT), message
> catalogues (PO) and compiled message catalogues (MO) files for common problems.
> These files are used by the GNU gettext translation functions and tools in many
> different development environments.
>
> Checks include: incorrect or inconsistent character encoding, missing headers,
> incorrect language codes and improper plural forms.
>
> This tool was formerly known as gettext-inspector.
>

How does it compare with msgfmt? Translators usually use msgfmt to
check for errors right now.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#696833; Package wnpp. (Fri, 28 Dec 2012 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 696833@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 696833@bugs.debian.org
Subject: Re: Bug#696833: ITP: i18nspector -- checking tool for gettext POT, PO and MO files
Date: Fri, 28 Dec 2012 00:06:15 +0000
> How does it compare with msgfmt? Translators usually use msgfmt to
> check for errors right now.

Indeed,... and a run of i18nspector over po files in the archive shows lots of 
problems. i18nspector tests much more than msgfmt -- it simply catches lots of 
problems that msgfmt misses. Perhaps the easiest thing to do is to show what 
the two tools say about a couple of random .po files I have here from another 
project:

$ msgfmt -c reports.po 
reports.po:7: header field `Project-Id-Version' still has the initial default 
value

$ i18nspector reports.po 
W: reports.po: boilerplate-in-project-id-version 'PACKAGE VERSION'
W: reports.po: invalid-last-translator 'Automatic <>'
W: reports.po: boilerplate-in-language-team 'LANGUAGE <LL@li.org>'
W: reports.po: unusual-character-in-translation U+009F control character APC: 
'Ã\x9f'

(where reports.po was UTF-8 encoded but the header claimed it to be 
ISO-8859-1)

cheers
Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB 891D BBC1 7EBB 1396 F2F7



Added tag(s) pending. Request was from Stuart Prescott <stuart@debian.org> to control@bugs.debian.org. (Fri, 28 Dec 2012 01:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart@debian.org>:
Bug#696833; Package wnpp. (Fri, 28 Dec 2012 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart@debian.org>. (Fri, 28 Dec 2012 06:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 696833@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Stuart Prescott <stuart@debian.org>, 696833@bugs.debian.org
Cc: debian-i18n@lists.debian.org
Subject: Re: Bug#696833: ITP: i18nspector -- checking tool for gettext POT, PO and MO files
Date: Fri, 28 Dec 2012 06:59:49 +0100
[Message part 1 (text/plain, inline)]
Quoting Stuart Prescott (stuart@debian.org):
> Package: wnpp
> Severity: wishlist
> Owner: Stuart Prescott <stuart@debian.org>
> 
> * Package name    : i18nspector
>   Version         : 0.6
>   Upstream Author : Jakub Wilk <jwilk@jwilk.net>
> * URL             : http://jwilk.net/software/i18nspector
> * License         : Expat
>   Programming Lang: python
>   Description     : checking tool for gettext POT, PO and MO files

\o/

There are definitely good things to do with that gem. I'm still
(slowly) processing errors found by Jakub while running it on the
entire archive and would love finding a way to have it
running/reporting on the i18n infrastructure.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart@debian.org>:
Bug#696833; Package wnpp. (Fri, 28 Dec 2012 10:54:05 GMT) Full text and rfc822 format available.

Message #25 received at 696833@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: Stuart Prescott <stuart@debian.org>, 696833@bugs.debian.org, debian-i18n@lists.debian.org
Subject: Re: Bug#696833: ITP: i18nspector -- checking tool for gettext POT, PO and MO files
Date: Fri, 28 Dec 2012 12:51:18 +0200
[Message part 1 (text/plain, inline)]
On Vi, 28 dec 12, 06:59:49, Christian PERRIER wrote:
> 
> There are definitely good things to do with that gem. I'm still
> (slowly) processing errors found by Jakub while running it on the
> entire archive and would love finding a way to have it
> running/reporting on the i18n infrastructure.

Lintian?

Kind regards,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stuart Prescott <stuart@debian.org>:
You have taken responsibility. (Mon, 18 Mar 2013 22:03:12 GMT) Full text and rfc822 format available.

Notification sent to Stuart Prescott <stuart@debian.org>:
Bug acknowledged by developer. (Mon, 18 Mar 2013 22:03:12 GMT) Full text and rfc822 format available.

Message #30 received at 696833-close@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: 696833-close@bugs.debian.org
Subject: Bug#696833: fixed in i18nspector 0.6-1
Date: Mon, 18 Mar 2013 22:00:06 +0000
Source: i18nspector
Source-Version: 0.6-1

We believe that the bug you reported is fixed in the latest version of
i18nspector, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696833@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stuart Prescott <stuart@debian.org> (supplier of updated i18nspector package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 28 Dec 2012 00:12:06 +0000
Source: i18nspector
Binary: i18nspector
Architecture: source all
Version: 0.6-1
Distribution: unstable
Urgency: low
Maintainer: Stuart Prescott <stuart@debian.org>
Changed-By: Stuart Prescott <stuart@debian.org>
Description: 
 i18nspector - checking tool for gettext POT, PO and MO files
Closes: 696833
Changes: 
 i18nspector (0.6-1) unstable; urgency=low
 .
   * Initial release. (Closes: #696833)
Checksums-Sha1: 
 6e3250815d521c3093b12f1eb6f65178f8d81359 1089 i18nspector_0.6-1.dsc
 fa8d06b14a7946dc4dc2d9e48cacb86c7214632a 55005 i18nspector_0.6.orig.tar.gz
 3c70bd97284a9e3e06aff794f799d30126580810 1906 i18nspector_0.6-1.debian.tar.gz
 460da848e90be12a0a63b1d0e02ab2a7e3c6e07a 39970 i18nspector_0.6-1_all.deb
Checksums-Sha256: 
 93d70ad6e9d552cb8bdeee4d766861ed00a5c3975a8cbd2defe86e2d8d72af13 1089 i18nspector_0.6-1.dsc
 5cfae550d3843132cf54ddc6d6f9a707fa0b1d6fc79e1d44faee5e69fe799be0 55005 i18nspector_0.6.orig.tar.gz
 c1cf35ce9fbb38a11c1fe4816d38f63f057b018bf69db9da2c59d2f68df61c2e 1906 i18nspector_0.6-1.debian.tar.gz
 5b9499d43a35df5033f2bb7d12c0aaf4ee3709a9575d8542c59753811b998142 39970 i18nspector_0.6-1_all.deb
Files: 
 491d323dc98dd44f4391e5a23e8c6655 1089 devel optional i18nspector_0.6-1.dsc
 27c8d440b2d99d9849222627e65bd80f 55005 devel optional i18nspector_0.6.orig.tar.gz
 1fb4c71edae7204d3b31851cc14bf9d3 1906 devel optional i18nspector_0.6-1.debian.tar.gz
 8c93054170c0cf51a6b1c0a8b8824930 39970 devel optional i18nspector_0.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDc7Q0ACgkQn+i4zXHF0aj5ygCgkzxGtZp7gpIbnJBNVncdHFFx
8iMAoKWBfSv5iU/VloA8LAxLJ9YH2LYb
=hIeU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Apr 2013 07:26:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:59:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.